import ColSticky from '@/components/col-sticky'
import { Button } from 'vant'
import { defineComponent } from 'vue'
import qs from 'query-string'
import { getRandomKey } from '@/helpers/utils'

export default defineComponent({
  name: 'share-music-sheet',
  data() {
    const query = this.$route.query
    return {
      id: query.id,
      recomUserId: query.recomUserId // 分享人编号
    }
  },
  mounted() {
    this.onDetail()
  },
  methods: {
    onDetail() {
      const behaviorId = getRandomKey()
      const url = qs.stringifyUrl({
        url: location.origin + '/accompany',
        query: {
          id: this.id,
          recomUserId: this.recomUserId,
          behaviorId
        }
      })
      postMessage({
        api: 'openAccompanyWebView',
        content: {
          url,
          // url: 'http://192.168.3.13:3000/colexiu.html?id=' + item.id,
          orientation: 0,
          isHideTitle: true,
          statusBarTextColor: false,
          isOpenLight: true
        }
      })
    }
  },
  render() {
    return (
      <>
        <ColSticky position="bottom">
          <div class={['btnGroup']} style={{ paddingTop: '12px' }}>
            <Button block round type="primary" onClick={this.onDetail}>
              进入云老教练
            </Button>
          </div>
        </ColSticky>
      </>
    )
  }
})
